#include <gnome.h>
#include <gtk/gtk.h>

gboolean delete(GtkWidget* widget, GdkEvent* event, gpointer data) {
  return FALSE;
}

void destroy(GtkWidget* widget, gpointer data) {
  gtk_main_quit();
}

int main(int argc, char** argv) {
  gnome_init("entry_demo", "0.1", argc, argv);
  GtkWidget* app = gnome_app_new("entry_demo", "0.1");
  GtkWidget* entry_field = gnome_entry_new("entry_field");
  GtkWidget* gtk_entry = gnome_entry_gtk_entry(GNOME_ENTRY(entry_field));
  gnome_app_set_contents(GNOME_APP(app), entry_field);
  gtk_widget_show(entry_field);
  gtk_widget_show(app);
  g_signal_connect(G_OBJECT(app), "delete_event",
		   G_CALLBACK(delete), NULL);
  g_signal_connect(G_OBJECT(app), "destroy",
		   G_CALLBACK(destroy), NULL);
  gtk_main();
  return 0;
}
